Package org.jfree.layouting.layouter.style.resolver.computed.box

## Class FloatResolveHandler

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler
  - - org.jfree.layouting.layouter.style.resolver.computed.box.FloatResolveHandler

- All Implemented Interfaces:
    `ResolveHandler`

      public class FloatResolveHandler
      extends ConstantsResolveHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FloatResolveHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StyleKey[]` | `getRequiredStyles​()` | This indirectly defines the resolve order.
    `void` | `resolve​(LayoutProcess process, LayoutElement currentNode, StyleKey key)` | Resolves a single property.

    - ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler

      `addNormalizeValue, addValue, getFallback, lookupValue, resolveValue, setFallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FloatResolveHandler

          public FloatResolveHandler​()

  - ### Method Detail

    - #### getRequiredStyles

          public StyleKey[] getRequiredStyles​()

      This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
      Specified by:
        `getRequiredStyles` in interface `ResolveHandler`
      Overrides:
        `getRequiredStyles` in class `ConstantsResolveHandler`
      Returns:
        the array of required style keys.

    - #### resolve

          public void resolve​(LayoutProcess process,
                              LayoutElement currentNode,
                              StyleKey key)

      Resolves a single property.
      Specified by:
        `resolve` in interface `ResolveHandler`
      Overrides:
        `resolve` in class `ConstantsResolveHandler`
      Parameters:
        `currentNode` -
        `style` -